import 'package:niogu_app/core/entities/custom_activity.dart';
import 'package:niogu_app/features/user/domain/entities/user.dart';

abstract class IUserRepository {
  Stream<ShiftInfo> watchShiftInfo();

  Stream<MessageActivity?> checkPermissionActivity(String outletId);
}
